Bug 334867 - "Low disk space" message looks ugly (text is bigger than it should)
Summary: "Low disk space" message looks ugly (text is bigger than it should)
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Notifications (show other bugs)
Version: master
Platform: unspecified Linux
: NOR normal
Target Milestone: 1.0
Assignee: Martin Klapetek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-16 10:18 UTC by Alexander Nestorov
Modified: 2014-05-21 15:46 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Nestorov 2014-05-16 10:18:53 UTC
See 2:27 https://www.youtube.com/watch?v=fZ8F6erz_eM&edit=vd

Reproducible: Always
Comment 1 Sebastian Kügler 2014-05-16 10:26:32 UTC
Layout problem in notifications, moving.
Comment 2 Martin Klapetek 2014-05-17 08:00:58 UTC
Fwiw, I'm going to redo this as a SNI, it makes no sense for this to be all stuffed into a notification.
Comment 3 Martin Klapetek 2014-05-21 15:43:53 UTC
The free space notification is now a proper StatusNotifierItem and the actions were moved to its context menu, the notification is now just that - a notification.

This is not a proper fix for the bug itself however, that will come shortly.
Comment 4 Martin Klapetek 2014-05-21 15:46:10 UTC
Git commit 5aa1e18f970672ef882b5749120f6598ff270235 by Martin Klapetek.
Committed on 21/05/2014 at 15:45.
Pushed by mklapetek into branch 'master'.

Elide Components' Button label

Otherwise the label can get out of the button boundaries. Tested with
RTL text too, it's elided properly as the elipsis switches to Left on
its own.

Reviewed-by: Marco Martin

M  +1    -0    src/declarativeimports/plasmacomponents/qml/Button.qml

http://commits.kde.org/plasma-framework/5aa1e18f970672ef882b5749120f6598ff270235